Skip to main content
PATCH
/
api
/
v1
/
sources
/
{id}
/
update-config
Update data source configuration
curl --request PATCH \
  --url https://api.camelai.com/api/v1/sources/{id}/update-config/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account_name": "<string>",
  "hostname": "<string>",
  "port": 123,
  "username": "<string>",
  "password": "<string>",
  "database_name": "<string>",
  "connection_string": "<string>",
  "service_account_key": "<unknown>",
  "token": "<string>",
  "host": "<string>",
  "database": "<string>",
  "account": "<string>",
  "user": "<string>",
  "public_key": "<string>",
  "selected_schemas": [
    "<string>"
  ]
}
'
{
  "id": 123,
  "account_name": "<string>",
  "type": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://camelai.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication using Bearer scheme

Path Parameters

id
string
required
pk
integer
required

ID of the source to update

Body

application/json
account_name
string

Display name

Minimum string length: 1
hostname
string

Server hostname (for database connections)

Minimum string length: 1
port
integer

Port number

username
string

Username

Minimum string length: 1
password
string

Password

Minimum string length: 1
database_name
string

Database name

Minimum string length: 1
connection_string
string

Connection string

Minimum string length: 1
service_account_key
any

Service account key (BigQuery)

token
string

Authentication token

Minimum string length: 1
host
string

Host (ClickHouse)

Minimum string length: 1
database
string

Database (ClickHouse)

Minimum string length: 1
account
string

Account (Snowflake)

Minimum string length: 1
user
string

User (Snowflake)

Minimum string length: 1
public_key
string

Public key (Snowflake)

Minimum string length: 1
selected_schemas
string[]

List of schema names to include (PostgreSQL, MySQL, etc.)

Minimum string length: 1

Response

id
integer

Connection ID

account_name
string

Connection name

type
string

Connection type